<?php
namespace Utility;


class Module
{
	public function getAutoloaderConfig()
	{
		return array(
				'Zend\Loader\ClassMapAutoloader' => array(
						__DIR__ . '/autoload_classmap.php',
				)
		);
	}

	public function getConfig()
	{
		return include __DIR__ . '/config/module.config.php';
	}

	public function getServiceConfig()
	{
		return array(
				'invokables' => array(
						__NAMESPACE__ . '.Ape'           => __NAMESPACE__ . '\Comms\Ape',
						__NAMESPACE__ . '.TransUnion'    => __NAMESPACE__ . '\Comms\TransUnion',
						__NAMESPACE__ . '.Email'         => __NAMESPACE__ . '\Comms\Email',
						__NAMESPACE__ . '.Sms'           => __NAMESPACE__ . '\Comms\Sms',
						__NAMESPACE__ . '.Notification'  => __NAMESPACE__ . '\Comms\Notification',
						__NAMESPACE__ . '.Validator'     => __NAMESPACE__ . '\Service\Validator',
						__NAMESPACE__ . '.ExcelReport'   => __NAMESPACE__ . '\Export\ExcelReport'
				)
		);
	}

}