<?php
namespace Utility\Definitions;


class Locale
{

	static public function getDateFormat()
	{
		return \Utility\Registry::getConfigParam('dateFormat');
	}

	static public function getDateTimeFormat()
	{
		return \Utility\Registry::getConfigParam('dateTimeFormat');
	}

	static public function getTimeFormat()
	{
		return \Utility\Registry::getConfigParam('timeFormat');
	}

	static public function getExcelCurrencyFormat()
	{
		return \Utility\Registry::getConfigParam('excelCurrencyFormat');
	}

	static public function getCurrencyPrefix()
	{
		return \Utility\Registry::getConfigParam('currencyPrefix');
	}

	static public function getVatPercentage()
	{
		return \Utility\Registry::getConfigParam('vatPercentage');
	}

	static public function getSourceEmailAddress()
	{
		return \Utility\Registry::getConfigParam('sourceEmailAddress');
	}

	static public function getSourceMobileAddress()
	{
		return \Utility\Registry::getConfigParam('sourceMobileAddress');
	}

	static public function getAdminEmailAddress()
	{
		return \Utility\Registry::getConfigParam('adminEmailAddress');
	}

	static public function getDefaultPermissions()
	{
		return \Utility\Registry::getConfigParam('defaultPermissions');
	}

	static public function getPriceGuideOpenDays()
	{
		return \Utility\Registry::getConfigParam('priceGuideOpenDays');
	}

	static public function getPriceGuideCompletionDays()
	{
		return \Utility\Registry::getConfigParam('priceGuideCompletionDays');
	}

	static public function smsNewPin()
	{
		return \Utility\Registry::getConfigParam('smsNewPin');
	}

	static public function smsCustomerValuation()
	{
		return \Utility\Registry::getConfigParam('smsCustomerValuation');
	}

}