<?php

namespace Utility\Fixture;

class RepeaterTemplate  extends \Fixture\Service\Fixture
{
	static public function build()
	{
		$tempatesDir = __DIR__ . '/../../../../../data/templates/';

		parent::addStack('\Utility\Entity\RepeaterTemplate',
				array(
					'Template.AuctionListRepeater' => array(
							'groupField'		=> 'make_name',
							'groupRepeater'		=> file_get_contents($tempatesDir . 'auction-list-repeater-group.html'),
							'rowRepeaterOdd'	=> file_get_contents($tempatesDir . 'auction-list-repeater-row-odd.html'),
							'rowRepeaterEven'	=> file_get_contents($tempatesDir . 'auction-list-repeater-row-even.html')
					)
				)
		);
	}
}